> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/bitcoin/esplora-http-api/transactions/get-tx-txid.md).

# GET /tx/:txid

Returns information about the transaction.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

**`txid`**- transaction hash, required.

Example: `92e61d56a3d79fd6b2fc53d4577f51faa61485e0165eae746a6f3ded5b994655`

## Returns

Returns information about the transaction.

Available fields: `txid`, `version`, `locktime`, `size`, `weight`, `fee`, `vin`, `vout` and `status` (see [transaction format](https://github.com/Blockstream/esplora/blob/master/API.md#transaction-format) for details).

```json
{
	"txid": "92e61d56a3d79fd6b2fc53d4577f51faa61485e0165eae746a6f3ded5b994655",
	"version": 1,
	"locktime": 0,
	"vin": [
		{
			"txid": "de7803750f4f1e8d07ca85c7aee8b8cd02807454172f60b39d9e79170d28c2dc",
			"vout": 0,
			"prevout": {
				"scriptpubkey": "002072b0b8defd6044ac2d077c3094431c8d54c37510f613079400b28b9f5eb1dfeb",
				"scriptpubkey_asm": "OP_0 OP_PUSHBYTES_32 72b0b8defd6044ac2d077c3094431c8d54c37510f613079400b28b9f5eb1dfeb",
				"scriptpubkey_type": "v0_p2wsh",
				"scriptpubkey_address": "bc1qw2ct3hhavpz2ctg80scfgscu342vxags7cfs09qqk29e7h43ml4s9a3tq2",
				"value": 30453118
			},
			"scriptsig": "",
			"scriptsig_asm": "",
			"witness": [
				"",
				"3045022100bcd839bd08914cf3e30b75ea707012ec27712da3c329ed2eefc76d21c4a78fa7022063a0cce2fa4d3b558f6cb3e62153b62c89e22ab097c43bedcde834f28dd7a07601",
				"304402201b9de294e81d22613e2ae10650ce3dc098912e2c6e32c3574799311ad07ed77b02201664f76f49dce39ffc995bc07b34c259c2160f0535516fbc12c01f02e00d47aa01",
				"5221025e1b693ca2df4b0f6c8d3411ec9a20c912361fdc5b3b08b520897db5cd26738521034413f69b80e3606f92bfe09e3e53dfc5c43f09a6c95ffdf74bd5a0705bc49e3021029ac3c43c6123b911312d35086363c2ddbef4924da828f3c886b7bffab36978e953ae"
			],
			"is_coinbase": false,
			"sequence": 4294967293,
			"inner_witnessscript_asm": "OP_PUSHNUM_2 OP_PUSHBYTES_33 025e1b693ca2df4b0f6c8d3411ec9a20c912361fdc5b3b08b520897db5cd267385 OP_PUSHBYTES_33 034413f69b80e3606f92bfe09e3e53dfc5c43f09a6c95ffdf74bd5a0705bc49e30 OP_PUSHBYTES_33 029ac3c43c6123b911312d35086363c2ddbef4924da828f3c886b7bffab36978e9 OP_PUSHNUM_3 OP_CHECKMULTISIG"
		}
	],
	"vout": [
		{
			"scriptpubkey": "00207bb8f5802ae446be4e5f7dde387ca1624faee09a8643a8c16ff87df4235e2584",
			"scriptpubkey_asm": "OP_0 OP_PUSHBYTES_32 7bb8f5802ae446be4e5f7dde387ca1624faee09a8643a8c16ff87df4235e2584",
			"scriptpubkey_type": "v0_p2wsh",
			"scriptpubkey_address": "bc1q0wu0tqp2u3rtunjl0h0rsl9pvf86acy6sep63st0lp7lgg67ykzqeq89pn",
			"value": 762384
		},
		{
			"scriptpubkey": "0020c5472bd6dd2b9d70aa2662171ea01fd8480ef9b013da32d42f53f9ede7ed3c11",
			"scriptpubkey_asm": "OP_0 OP_PUSHBYTES_32 c5472bd6dd2b9d70aa2662171ea01fd8480ef9b013da32d42f53f9ede7ed3c11",
			"scriptpubkey_type": "v0_p2wsh",
			"scriptpubkey_address": "bc1qc4rjh4ka9wwhp23xvgt3agqlmpyqa7dsz0dr94p020u7meld8sgstjc5rl",
			"value": 29660434
		}
	],
	"size": 392,
	"weight": 803,
	"fee": 30300,
	"status": {
		"confirmed": true,
		"block_height": 910150,
		"block_hash": "0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a",
		"block_time": 1755254187
	}
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/tx/92e61d56a3d79fd6b2fc53d4577f51faa61485e0165eae746a6f3ded5b994655 \
 -X GET
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/tx/92e61d56a3d79fd6b2fc53d4577f51faa61485e0165eae746a6f3ded5b994655 \
 -X GET
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/bitcoin/esplora-http-api/transactions/get-tx-txid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
